#include <vector>
#include <fstream>
#include <Windows.h>
#include <gl\glew.h>

std::vector<GLfloat> loadData()
{
	return std::vector<GLfloat>(
	{
		-1.0f, -1.0f, -1.0f,	//H5
		-1.0f, -1.0f,  1.0f,	//H8
		-1.0f,  1.0f,  1.0f,	//H7
		 1.0f,  1.0f, -1.0f,	//U2
		-1.0f, -1.0f, -1.0f,	//U5
		-1.0f,  1.0f, -1.0f,	//U6
		 1.0f, -1.0f,  1.0f,	//L4
		-1.0f, -1.0f, -1.0f,	//L5
		 1.0f, -1.0f, -1.0f,	//L1
		 1.0f,  1.0f, -1.0f,	//U2
		 1.0f, -1.0f, -1.0f,	//U1
		-1.0f, -1.0f, -1.0f,	//U5
		-1.0f, -1.0f, -1.0f,	//H5
		-1.0f,  1.0f,  1.0f,	//H7
		-1.0f,  1.0f, -1.0f,	//H6
		 1.0f, -1.0f,  1.0f,	//L4
		-1.0f, -1.0f,  1.0f,	//L8
		-1.0f, -1.0f, -1.0f,	//L5
		-1.0f,  1.0f,  1.0f,	//O7
		-1.0f, -1.0f,  1.0f,	//O8
		 1.0f, -1.0f,  1.0f,	//O4
		 1.0f,  1.0f,  1.0f,	//V3
		 1.0f, -1.0f, -1.0f,	//V1
		 1.0f,  1.0f, -1.0f,	//V2
		 1.0f, -1.0f, -1.0f,	//V1
		 1.0f,  1.0f,  1.0f,	//V3
		 1.0f, -1.0f,  1.0f,	//V4
		 1.0f,  1.0f,  1.0f,	//R3
		 1.0f,  1.0f, -1.0f,	//R2
		-1.0f,  1.0f, -1.0f,	//R6
		 1.0f,  1.0f,  1.0f,	//R3
		-1.0f,  1.0f, -1.0f,	//R6
		-1.0f,  1.0f,  1.0f,	//R7
		 1.0f,  1.0f,  1.0f,	//O3
		-1.0f,  1.0f,  1.0f,	//O7
		 1.0f, -1.0f,  1.0f		//O4
	}
	);
}

std::vector<GLfloat> loadUV()
{
	return std::vector<float>(
	{
		0.0f, 0.0f,//587 Links
		1.0f, 0.0f,
		1.0f, 1.0f,
		0.0f, 1.0f,//256 Hinten
		1.0f, 0.0f,
		1.0f, 1.0f,
		1.0f, 1.0f,//451 Unten
		0.0f, 0.0f,
		1.0f, 0.0f,
		0.0f, 1.0f,//215 Hinten
		0.0f, 0.0f,
		1.0f, 0.0f,
		0.0f, 0.0f,//576 Links
		1.0f, 1.0f,
		0.0f, 1.0f,
		1.0f, 1.0f,//485 Unten
		0.0f, 1.0f,
		0.0f, 0.0f,
		0.0f, 1.0f,//784 Front
		0.0f, 0.0f,
		1.0f, 0.0f,
		0.0f, 1.0f,//312 Rechts
		1.0f, 0.0f,
		1.0f, 1.0f,
		1.0f, 0.0f,//134 Rechts
		0.0f, 1.0f,
		0.0f, 0.0f,
		1.0f, 0.0f,//326 Oben
		1.0f, 1.0f,
		0.0f, 1.0f,
		1.0f, 0.0f,//367 Oben
		0.0f, 1.0f,
		0.0f, 0.0f,
		1.0f, 1.0f,//374 Front
		0.0f, 1.0f,
		1.0f, 0.0f
	}
	);
}
